#include <zephyr/kernel.h>
#include "minilog.h"

void minilog(char level, const char *fmt, ...)
{
    printk("[%llu]\t[%c]\t", (uint64_t) k_uptime_get(), level);
    va_list args;
    va_start(args, fmt);
    vprintk(fmt, args);
	va_end(args);
    printk("\r");
}